org.bouncycastle.crypto.util

## Class OtherInfoGenerator.PartyV

- java.lang.Object
- - org.bouncycastle.crypto.util.OtherInfoGenerator
  - - org.bouncycastle.crypto.util.OtherInfoGenerator.PartyV

- Enclosing class:
    OtherInfoGenerator

      public static class OtherInfoGenerator.PartyV
      extends OtherInfoGenerator

  Party V (responder) generation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.crypto.util.OtherInfoGenerator

      `OtherInfoGenerator.PartyU, OtherInfoGenerator.PartyV`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.crypto.util.OtherInfoGenerator

      `otherInfoBuilder, random, used`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartyV(KEMParameters kemParams, AlgorithmIdentifier algorithmID, byte[] partyUInfo, byte[] partyVInfo, java.security.SecureRandom random)` Create a basic builder with just the compulsory fields for the responder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DEROtherInfo` | `generate()`
    `byte[]` | `getSuppPrivInfoPartB(byte[] suppPrivInfoPartA)`
    `OtherInfoGenerator` | `withSuppPubInfo(byte[] suppPubInfo)` Add optional supplementary public info (DER tagged, implicit, 0).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartyV

          public PartyV(KEMParameters kemParams,
                        AlgorithmIdentifier algorithmID,
                        byte[] partyUInfo,
                        byte[] partyVInfo,
                        java.security.SecureRandom random)

      Create a basic builder with just the compulsory fields for the responder.
      Parameters:
        `kemParams` - the key type parameters for populating the private info field.
        `algorithmID` - the algorithm associated with this invocation of the KDF.
        `partyUInfo` - sender party info.
        `partyVInfo` - receiver party info.
        `random` - a source of randomness.

  - ### Method Detail

    - #### withSuppPubInfo

          public OtherInfoGenerator withSuppPubInfo(byte[] suppPubInfo)

      Add optional supplementary public info (DER tagged, implicit, 0).
      Parameters:
        `suppPubInfo` - supplementary public info.
      Returns:
        the current builder instance.

    - #### getSuppPrivInfoPartB

          public byte[] getSuppPrivInfoPartB(byte[] suppPrivInfoPartA)

    - #### generate

          public DEROtherInfo generate()